#ifndef HAVE_SSL_H
#define HAVE_SSL_H

#ifdef HAVE_CONFIG_H
# include "config.h"
#endif

#if HAVE_LIBSSL
# include <openssl/rsa.h>
# include <openssl/crypto.h>
# include <openssl/pem.h>
# include <openssl/ssl.h>
# include <openssl/err.h>

void set_use_ssl(int v);
int use_ssl(void);

SSL * get_ssl_handle();
void set_ssl_handle(SSL * );
#endif

#endif
